Bug 556934 - In kvm installation of RedHat 5.4 guest OS falls if hdd raw disks mounted like scsi
In kvm installation of RedHat 5.4 guest OS falls if hdd raw disks mounted lik...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kvm (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-19 16:06 EST by Stanislav
Modified: 2010-12-03 19:08 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 19:08:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav 2010-01-19 16:06:01 EST
Description of problem:

I've got system: AMD Phenom X4 CPU with 8GB RAM, and Fedora 12 installed on it.
I'm trying to install RHEL 5.4 like guest OS in KVM (with virt-manager)
I wanted to made RAID-5 with scsi disks, so i create 3 virtual disks with virt-manager and mounted it in RHEL 5.4 guest OS properties.
Installation of RHEL gust starting well. In partitioning disk step I've made this (with created raw image disks):


RAID device

    md0 -   /      ext3   raid.01 raid.02 raid.03

sda (40Gb):

   sda1 -  /boot    ext3   100Mb

   sda2 -  raid.01  raid   10Gb

sdb

   sdb1 -  raid.02  raid   10Gb

   sdb2 -  /swap    swap   1024Mb

sdc

   sdc1 -  raid.03  raid   10Gb


Installation falls when anaconda is trying to format "/" partition.

If these raw disks mounted like IDE disks, then there is no error and installation do well


Version-Release number of selected component (if applicable):

Fedora 12
RHEL 5.4
qemu-kvm-0.11.0-12.fc12.i686
virt-manager-0.8.2-1.fc12.noarch
libvirt-python-0.7.1-15.fc12.i686
virt-viewer-0.2.0-1.fc12.i686
libvirt-0.7.1-15.fc12.i686
libvirt-client-0.7.1-15.fc12.i686
python-virtinst-0.500.1-2.fc12.noarch


How reproducible:
1. Make 3 disks with virt-manager ()
2. Mount them to RHEL guest OS like scsi dives in guest OS properties
3. Start installation of RHEL 5.4 guest OS
4. Make partition like seen before

  
Actual results:
Error when anaconda is trying to format "/"

Expected results:
There is no error

Additional info:
Comment 1 Bug Zapper 2010-11-03 20:30:20 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 19:08:16 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.